<?php
// Standard WP check if direct
if ( ! function_exists( 'add_action' ) ) {
    exit();
}

// Check if we have already written to the wp-config file
function inspry_toolkit_check_for_wpengine_rule_2() {
    // Rewrite the wp-config file to comment out the file editor lines
    $wp_config_file_path = ABSPATH . 'wp-config.php';
    $wp_config_search_for = '// AGENCY TOOLKIT - DISABLE FILE MODS';
    $wp_config_file = file_get_contents( $wp_config_file_path );

    // Check if we have already disabled
    if ( strpos( $wp_config_file, $wp_config_search_for ) !== false ) {
        return true;
    }
    else {
        return false;
    }
}

// Write to the wp-config file
function inspry_toolkit_write_wpengine_rule_2() {
    $wp_config_file_path = ABSPATH . 'wp-config.php';
    $wp_config_file = file_get_contents( $wp_config_file_path );
    $wp_config_file = str_replace( "define( 'DISALLOW_FILE_MODS', FALSE );", "// AGENCY TOOLKIT - DISABLE FILE MODS " . PHP_EOL . "// define( 'DISALLOW_FILE_MODS', FALSE );", $wp_config_file );
    file_put_contents( $wp_config_file_path, $wp_config_file );
}

// Check if this site is on WPEngine
if ( function_exists( 'is_wpe' ) ) {
    if ( is_wpe() ) {
        // Check if we have already written to the file
        if ( ! inspry_toolkit_check_for_wpengine_rule_2() ) {
            // Write to the file
            inspry_toolkit_write_wpengine_rule_2();
        }
    }
}

// Disable any file modifications; installs and updates for plugins/themes, check if defined already
if ( ! defined( 'DISALLOW_FILE_MODS' ) ) {
    define( 'DISALLOW_FILE_MODS', true );
}
?>
